describe('Kontrola zobrazení kurzů', () => {

    //Ověří, že se uživateli zobrazí kurzy, a že si je může zobrazit
    it('Test 2 - kontrola kurzu', () => {

        //Ověří, že se stránku podařilo načíst
        cy.visit('https://school.moodledemo.net/login/index.php')
        cy.contains('Log in to Mount Orange').should('be.visible')

        //Přihlásí se a zkontroluje správnost přihlášení
        cy.get('#username').type('student').blur()
        cy.wait(400)
        cy.get('#password').type('moodle25').blur()
        cy.get('#loginbtn').click()
        cy.contains('My courses').should('be.visible')

        //Přejde na jeden a kurz a zkontroluje, že byl kurz zobrazen
        cy.contains('.visually-hidden', 'Course name').click({ force: true })
        cy.url().should('include', '/course/view')
        cy.get('.page-header-headings').should('be.visible')
    })
})
